<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["p_dni"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $obj = new Garita();
    $dni = $_POST["p_dni"];
    $codigoQrDecoded = base64_decode($dni);
    if (strstr($codigoQrDecoded, 'cod_cond')) {
        /** Si el dni viene codificado por la lectura del QR lo decodificamos y buscamos el dni del conductor **/
        if (!isset($_POST["p_garita"])) {
            Funciones::imprimeJSON(200, "error", "Faltan parámetros de Garita");
            exit;
        }
        $codigo_garita = $_POST["p_garita"];
        $separador = explode("#", $codigoQrDecoded);
        $codigo_conductor = explode("=", $separador[0]);
        $codigo_conductor = $codigo_conductor[1];
        $codigo_empresa = explode("=", $separador[1]);
        $codigo_empresa = $codigo_empresa[1];
        $resultado = $obj->obtenerDatosQrEntradaConductor($codigo_conductor, $codigo_empresa, $codigo_garita);
        Funciones::imprimeJSON(200, "Datos entrada conductor", $resultado);
        exit;
        /** Si el dni viene codificado por la lectura del QR lo decodificamos y buscamos el dni del conductor **/
    }else{
        if (strstr($codigoQrDecoded, 'cod_ve')) {
            /** Si el vehiculo viene codificado por la lectura del QR lo decodificamos y buscamos el vehiculo del conductor **/
            if (!isset($_POST["p_garita"])) {
                Funciones::imprimeJSON(200, "error", "Faltan parámetros de Garita");
                exit;
            }
            $codigo_garita = $_POST["p_garita"];
            $separador = explode("#", $codigoQrDecoded);
            $codigo_vehiculo = explode("=", $separador[0]);
            $codigo_vehiculo = $codigo_vehiculo[1];
            $codigo_empresa = explode("=", $separador[6]);
            $codigo_empresa = $codigo_empresa[1];
            $resultado = $obj->obtenerDatosQrEntradaVehiculo($codigo_vehiculo, $codigo_empresa, $codigo_garita);
            Funciones::imprimeJSON(200, "Datos entrada vehiculo", $resultado);
            exit;
            /** Si el vehiculo viene codificado por la lectura del QR lo decodificamos y buscamos el vehiculo del conductor **/
        }else{
            $resultado = $obj->datosEntradaGarita($dni);
            Funciones::imprimeJSON(200, "Datos entrada", $resultado);
        }
    }
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}

