<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["p_dni"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $obj = new Garita();
    $dni = $_POST["p_dni"];
    $codigoQrDecoded = base64_decode($dni);
    if (strstr($codigoQrDecoded, 'cod_cond')) {
        /** Si el dni viene codificado por la lectura del QR lo decodificamos y buscamos el dni del conductor **/
        if (!isset($_POST["p_garita"])) {
            Funciones::imprimeJSON(200, "error", "Faltan parámetros de Garita");
            exit;
        }
        $codigo_garita = $_POST["p_garita"];
        $separador = explode("#", $codigoQrDecoded);
        $separadorConductor = explode("=", $separador[0]);
        $codigo_conductor = $separadorConductor[1];
        $resultado = $obj->obtenerDatosQrSalidaConductor($codigo_conductor, $codigo_garita);
        Funciones::imprimeJSON(200, "Datos salida conductor", $resultado);
        exit;
        /** Si el dni viene codificado por la lectura del QR lo decodificamos y buscamos el dni del conductor **/
    }else{
        if(strstr($codigoQrDecoded, 'cod_ve')){
            if (!isset($_POST["p_garita"])) {
                Funciones::imprimeJSON(200, "error", "Faltan parámetros de Garita");
                exit;
            }
            $codigo_garita = $_POST["p_garita"];
            $separador = explode("#", $codigoQrDecoded);
            $separadorVehiculo = explode("=", $separador[0]);
            $codigo_vehiculo = $separadorVehiculo[1];
            $resultado = $obj->obtenerDatosQrSalidaVehiculo($codigo_vehiculo, $codigo_garita);
            Funciones::imprimeJSON(200, "Datos salida vehículo", $resultado);
            exit;
        }else{
            $resultado = $obj->datosSalidaGarita($dni);
            Funciones::imprimeJSON(200, "Datos salida", $resultado);
        }
    }
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}

