<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["p_dni"])
    || !isset($_POST["p_tipo"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $obj = new Garita();
    $dni = $_POST["p_dni"];
    $tipo = $_POST["p_tipo"];

    if ($tipo != "QR" && strlen($dni) <= 12) {
        // $resultado = $obj->obtenerQRConductorPorDniSalida($dni);
        // if(empty($resultado)){
            $resultado = $obj->datosSalidaGarita($dni);
        // }
        Funciones::imprimeJSON(200, "Datos salida", $resultado);
    }else{
        $codigoQrDecoded = base64_decode($dni);

        $LEER_TIPO_QR = "";
        if (strstr($codigoQrDecoded, 'cod_cond') && strstr($codigoQrDecoded, 'fecha_ini')){
            $LEER_TIPO_QR = "EXPIRABLE";
        } else if(strstr($codigoQrDecoded, 'cod_cond')){
            $LEER_TIPO_QR = "CONDUCTOR";
        }else if (strstr($codigoQrDecoded, 'cod_ve')){
            $LEER_TIPO_QR = "VEHICULO";
        } else if(strstr($codigoQrDecoded, 'rut_nomb')){
            $LEER_TIPO_QR = "TRANSPORTISTA";
        }

        switch ($LEER_TIPO_QR) {
            case "CONDUCTOR":
                $separador = explode("#", $codigoQrDecoded);
                $separadorConductor = explode("=", $separador[0]);
                $codigo_conductor = $separadorConductor[1];
                $resultado = $obj->obtenerDatosQrSalidaConductor($codigo_conductor, 1);
                Funciones::imprimeJSON(200, "Datos salida conductor", $resultado);
            break;
            case "VEHICULO":
                $separador = explode("#", $codigoQrDecoded);
                $separadorVehiculo = explode("=", $separador[0]);
                $codigo_vehiculo = $separadorVehiculo[1];
                $resultado = $obj->obtenerDatosQrSalidaVehiculo($codigo_vehiculo, 1);
                Funciones::imprimeJSON(200, "Datos salida vehículo", $resultado);
            break;
            case "TRANSPORTISTA":
                $separador = explode('#', $codigoQrDecoded);
                $codigo_conductor = explode("=", $separador[11]);
                $codigo_conductor = $codigo_conductor[1];

                $codigo_proveedor = explode("=", $separador[8]);
                $codigo_proveedor = $codigo_proveedor[1];

                $codigo_empresa = explode("=", $separador[7]);
                $codigo_empresa = $codigo_empresa[1];

                $coodigo_vehiculo = explode("=", $separador[0]);
                $coodigo_vehiculo = $coodigo_vehiculo[1];
                $resultado = $obj->obtenerDatosQrSalidaProveedorEmpresa($codigo_conductor,  $codigo_proveedor, $codigo_empresa, $coodigo_vehiculo);

                $codigo_ruta = explode("=", $separador[14]);
                $codigo_ruta = $codigo_ruta[1];
                $resultado["codigo_ruta"] = $codigo_ruta;
                $resultado["codigo_proveedor"] = $codigo_proveedor;
                if($resultado["estado"] == "I"){
                    $resultado["alerta"] = "Este código está inactivo, por favor verifique todos los datos";
                }
                Funciones::imprimeJSON(200, "Datos salida transportista", $resultado);
            break;
            case "EXPIRABLE":
                $separador = explode('#', $codigoQrDecoded);
                $fecha_inicio = explode("=", $separador[6]);
                $fecha_inicio = $fecha_inicio[1];
                $fecha_fin = explode("=", $separador[7]);
                $fecha_fin = $fecha_fin[1];
                // $hoy = date('2020-11-10');
                $hoy = date('Y-m-d');


                $hoy=date('Y-m-d', strtotime($hoy));
                $fecha_inicio = date('Y-m-d', strtotime($fecha_inicio));
                $fecha_fin = date('Y-m-d', strtotime($fecha_fin));

                if (($hoy >= $fecha_inicio) && ($hoy <= $fecha_fin)){ //Está dentro del rango de entrada permitido
                    $alerta = "";
                }else{
                    $alerta = "No tienes permitido el ingreso hoy. \nLas fechas permitidas para tu ingreso son: F. Ingreso: $fecha_inicio y F. Salida: $fecha_fin";
                }
                $codigo_conductor = explode("=", $separador[0]);
                $codigo_conductor = $codigo_conductor[1];
                $codigo_empresa = explode("=", $separador[1]);
                $codigo_empresa = $codigo_empresa[1];
                $resultado = $obj->obtenerDatosQrSalidaConductor($codigo_conductor, 1);
                $resultado["alerta"] = $alerta;
                $resultado["tipo_empresa"] = "P";
                $resultado["codigo_proveedor"] = $codigo_empresa;
                Funciones::imprimeJSON(200, "Datos salida expirable", $resultado);
            break;
            default:
                Funciones::imprimeJSON(200, "error", "Parece que ese QR no ha sido generado por Pro Olmos");
            break;
        }
    }

}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}
