<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');

try {
    // Establecer la zona horaria a Lima, Perú
    date_default_timezone_set("America/Lima");

    // Obtener la fecha y hora actuales
    $fecha = date("Y-m-d");
    $hora = date("H:i:s");

    // Preparar la respuesta
    $response = [
        "estado" => 200,
        "mensaje" => "",
        "datos" => [
            [
                "fecha" => $fecha,
                "hora" => $hora
            ]
        ]
    ];

    // Imprimir la respuesta en formato JSON
    echo json_encode($response);

} catch (Exception $ex) {
    $error_response = [
        "estado" => 500,
        "mensaje" => $ex->getMessage(),
        "datos" => []
    ];

    echo json_encode($error_response);
}



/*
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
date_default_timezone_set("America/Lima");


try {
    $obj = new Garita();
    $resultado = $obj->ObtenerFechaHoraActual();

    Funciones::imprimeJSON(200, "", $resultado);

} catch (Exception $ex) {
    Funciones::imprimeJSON(500, $ex->getMessage(), "");
}
*/

?>

