<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Fundo.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

date_default_timezone_set("America/Lima");


if (!isset($_POST["p_dni"])
    || !isset($_POST["p_placa"])
    || !isset($_POST["p_hora_manual"])
    || !isset($_POST["p_nombre_conductor"])
    || !isset($_POST["p_numero_ocupantes"])
    || !isset($_POST["p_numero_asientos"])
    || !isset($_POST["p_codigo_empresa_sesion"])
    || !isset($_POST["p_usuario_sesion"])
    || !isset($_POST["p_codigo_tipo_vehiculo"])
    || !isset($_POST["p_tipo_persona"])
    || !isset($_POST["p_procedencia"])
    || !isset($_POST["p_motivo"])
    || !isset($_POST["p_nombre_empresa"])
    || !isset($_POST["p_fecha_manual"])
    || !isset($_POST["p_codigo_caseta"])
    || !isset($_POST["p_codigo_off_line"])
    || !isset($_POST["p_visitas"])
    || !isset($_POST["p_pin"])
    ) {
    Funciones::imprimeJSON(200, "error", "Faltan parametros");
    exit;
}
// Funciones::imprimeJSON(200,"error",$_POST);
// exit;

try {
    $hora_servidor = date("H:i:s");
    $fecha_servidor = date("Y-m-d");
    $dni = $_POST["p_dni"];
    $placa = $_POST["p_placa"];
    $hora_manual = $_POST["p_hora_manual"];
    $nombre_conductor = $_POST["p_nombre_conductor"];
    $numero_ocupantes = $_POST["p_numero_ocupantes"];
    $numero_asientos = $_POST["p_numero_asientos"];
    $codigo_empresa_sesion = $_POST["p_codigo_empresa_sesion"];
    $codigo_usuario_sesion = $_POST["p_usuario_sesion"];
    $codigo_tipo_vehiculo = $_POST["p_codigo_tipo_vehiculo"];
    $codigo_tipo_persona = $_POST["p_tipo_persona"];
    $procedencia_fundo = $_POST["p_procedencia"];
    $motivo_fundo = $_POST["p_motivo"];
    $nombre_empresa = $_POST["p_nombre_empresa"];
    $fecha_manual = $_POST["p_fecha_manual"];
    $codigo_caseta = $_POST["p_codigo_caseta"];
    $codigo_off_line = $_POST["p_codigo_off_line"];
    $orientacion = "-";
    if(isset($_POST["p_orientacion"]) && $_POST["p_orientacion"] != ""){
        $orientacion = $_POST["p_orientacion"];
    }
    $pin = $_POST["p_pin"];
    $detalle_visitas = json_decode($_POST["p_visitas"], true);

    $codigo_maximo = 0;
    if(isset($_POST["p_maximo_codigo"])){
        $codigo_maximo = $_POST["p_maximo_codigo"];
    }

    $mano_obra = "N";
    if(isset($_POST["p_mano_obra"])){
            $mano_obra = $_POST["p_mano_obra"];
    }

    $codigo_proveedor = 0;
    if(isset($_POST["p_codigo_proveedor"])){
            $codigo_proveedor = $_POST["p_codigo_proveedor"];
    }

    $codigo_ruta_transporte = 0;
    if(isset($_POST["p_codigo_ruta_transporte"])){
            $codigo_ruta_transporte = $_POST["p_codigo_ruta_transporte"];
    }

    $codigo_proveedor_empresa = 0;
    if(isset($_POST["p_codigo_proveedor_empresa"])){
            $codigo_proveedor_empresa = $_POST["p_codigo_proveedor_empresa"];
    }

    $detalle_manos_obra = [];
    if(isset($_POST["p_manos_de_obra"])){
        $detalle_manos_obra = json_decode($_POST["p_manos_de_obra"], true);
    }

    if (strlen($placa) > 7){
        Funciones::imprimeJSON(500, "error", "La placa no puede tener más de 7 dígitos");
        exit;
    }
    $placa = strtoupper($placa);

    $objEntradaFUNDO = new Fundo();
    $resultado = $objEntradaFUNDO->registrarEntrada($dni, $placa, $hora_servidor, $hora_manual, $nombre_conductor, $numero_ocupantes, $numero_asientos, $codigo_empresa_sesion, $codigo_usuario_sesion, $codigo_tipo_vehiculo, $codigo_tipo_persona, $procedencia_fundo, $motivo_fundo, $nombre_empresa, $fecha_servidor, $codigo_caseta, $fecha_manual, $codigo_off_line, $detalle_visitas, $orientacion, $pin, $codigo_maximo, $detalle_manos_obra, $mano_obra, $codigo_proveedor, $codigo_ruta_transporte, $codigo_proveedor_empresa);
    Funciones::imprimeJSON(200, "Entrada registrada", $resultado);


} catch (Exception $ex) {
    Funciones::imprimeJSON(200, "error", $ex->getMessage());
}
