<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Fundo.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["p_dni"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $dni = $_POST["p_dni"];
    $objFundo = new Fundo();

    $codigoQrDecoded = base64_decode($dni);
    // Funciones::imprimeJSON(200, "Decoded QR code", $codigoQrDecoded);
    // exit;
    if (strstr($codigoQrDecoded, 'cod_cond')) {
        /** Si el dni viene codificado por la lectura del QR lo decodificamos y buscamos el dni del conductor **/
        $separador = explode("#", $codigoQrDecoded);
        $codigo_conductor = explode("=", $separador[0]);
        $codigo_conductor = $codigo_conductor[1];
        $codigo_empresa = explode("=", $separador[1]);
        $codigo_empresa = $codigo_empresa[1];
        $resultado = $objFundo->obtenerDatosQrEntradaConductor($codigo_conductor, $codigo_empresa, 'C');
        Funciones::imprimeJSON(200, "Datos entrada conductor", $resultado);
        exit;
        /** Si el dni viene codificado por la lectura del QR lo decodificamos y buscamos el dni del conductor **/
    } else {
        if (strstr($codigoQrDecoded, 'cod_ve')) {
            /** Si el vehiculo viene codificado por la lectura del QR lo decodificamos y buscamos el vehiculo del conductor **/
            $separador = explode("#", $codigoQrDecoded);
            $codigo_vehiculo = explode("=", $separador[0]);
            $codigo_vehiculo = $codigo_vehiculo[1];
            $codigo_empresa = explode("=", $separador[6]);
            $codigo_empresa = $codigo_empresa[1];
            $resultado = $objFundo->obtenerDatosQrEntradaConductor($codigo_vehiculo, $codigo_empresa, 'V');
            Funciones::imprimeJSON(200, "Datos entrada vehiculo", $resultado);
            exit;
            /** Si el vehiculo viene codificado por la lectura del QR lo decodificamos y buscamos el vehiculo del conductor **/
        } else {
            $resultado = $objFundo->datosEntradaFundo($dni);
            Funciones::imprimeJSON(200, "Datos entrada", $resultado);
        }
    }
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}

