<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Fundo.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../util/definiciones.php';
require_once __DIR__ . '/../util/sendgrid-php/vendor/autoload.php';

date_default_timezone_set("America/Lima");
// Funciones::imprimeJSON(200,"error",$_POST);
// exit;
if (!isset($_POST["p_detalle"])
    || !isset($_POST["p_codigo"])
    || !isset($_POST["p_empresa"])
    ) {
    Funciones::imprimeJSON(200, "error", "Por favor actualiza a la última versión de la aplicación para sincronizar datos.");
    exit;
}

// Funciones::imprimeJSON(200,"error",$_POST);
// exit;

try {
    $detalle = json_decode($_POST["p_detalle"], true);
    $codigo_fundo_max = $_POST["p_codigo"];
    $empresa = $_POST["p_empresa"];
    $objEntradaFUNDO = new Fundo();
    $envio_correo = 404;
    if(isset($_POST["p_lista_completa"])){
        $lista_completa = "S";
    }else{
        $lista_completa = "N";
    }

    $detalleVisita = [];
    if(isset($_POST["p_detalle_visita"])){
        $detalleVisita = json_decode($_POST["p_detalle_visita"], true);
    }

    $detalleManoObra = [];
    if(isset($_POST["p_detalle_mano_obra"])){
        $detalleManoObra = json_decode($_POST["p_detalle_mano_obra"], true);
    }

    $resultado = $objEntradaFUNDO->sincronizarFundo($detalle, $codigo_fundo_max, $lista_completa, $empresa, $detalleVisita, $detalleManoObra);

    if (isset($_POST["p_reportar"])) {
        $empresa = $_POST["p_empresa_nombre"];
        $usuario = $_POST["p_usuario"];
        //enviar correo con $detalle
        $fecha_servidor = date("d/m/Y") . ' ' . date("H:i:s");
        $rojo = "POST";
        $motivo_rojo = json_encode($detalle);
        $mensaje = "A continuación se detallan los datos de envío de la empresa $empresa, por el usuario $usuario.";
        if(isset($_POST["p_reportar"])){
            $mensaje .= "<p>Por medio del botón</p>";
        }
        $htmlFileDiv = __DIR__ . '/../plantilla/correo/inner_box.html';
        $innerHtml = file_get_contents($htmlFileDiv);
        $innerHtml = str_replace("{{rojo}}", $rojo, $innerHtml);
        $innerHtml = str_replace("{{resultado}}", json_encode($resultado), $innerHtml);
        $innerHtml = str_replace("{{motivo_rojo}}", $motivo_rojo, $innerHtml);
        $innerHtml = str_replace("{{fecha_server}}", $fecha_servidor, $innerHtml);

        $htmlFile = __DIR__ . '/../plantilla/correo/plantilla_general.html';
        $html = file_get_contents($htmlFile);
        $html = str_replace("{{Mensaje}}", $mensaje, $html);
        $html = str_replace("{{inner_html}}", $innerHtml, $html);
        //envío del correo
        $email = new \SendGrid\Mail\Mail();
        $email->setFrom("area.sistemas@proolmos.pe", "Pro Olmos");
        $email->setSubject("Reporte de Sincronización de fundos");
        $email->addTo("jchancafe@proolmos.pe");
        $email->addCc("rvasquez@proolmos.pe");
        $email->addContent(
            "text/html",
            $html
        );
        $sendgrid = new \SendGrid(SENDGRID_API_KEY);
        try {
            $response = $sendgrid->send($email);
            $envio_correo = $response->statusCode();
        } catch (Exception $e) {
            $envio_correo = 500;
        }
        //enviar correo con $detalle

        //Enviar mensaje de texto
        $telefono = "969105301";
        $mensaje = "La empresa $empresa ha hecho un reporte de error de sincronización. Revise su correo.";
        $mensaje = utf8_decode($mensaje);
        $url_holder_sms = str_replace(' ', '%20', "http://servicio.smsmasivos.com.ar/enviar_sms.asp?api=1&usuario=PROOLMOS&clave=PROOLMOS352&tos=" . $telefono . "&texto=" . $mensaje);
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url_holder_sms);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        $data = curl_exec($ch);
        curl_close($ch);
        //Enviar mensaje de texto
    }

    Funciones::imprimeJSON(200, "Genial", $resultado);
} catch (Exception $ex) {
    Funciones::imprimeJSON(200, "error", $ex->getMessage());
}
